# XMPP::C2S::TCPTransport Class Reference

XMPP client to server TCP transport. More...

`#include <xmpp_c2s.h>`

Inheritance diagram for XMPP::C2S::TCPTransport:

List of all members.

## Public Member Functions

| TCPTransport (const PString &hostname)
| TCPTransport (const PString &hostname, WORD port)
| ~TCPTransport ()
const PString & | GetServerHost () const
WORD | GetServerPort () const
virtual PBoolean | Open ()
virtual PBoolean | Close ()
| Close the channel.

## Protected Attributes

PString | m_Hostname
WORD | m_Port
PTCPSocket * | m_Socket

## Detailed Description

XMPP client to server TCP transport.

## Constructor & Destructor Documentation

XMPP::C2S::TCPTransport::TCPTransport | ( | const PString & | hostname | ) |

XMPP::C2S::TCPTransport::TCPTransport | ( | const PString & | hostname,
|  | WORD | port |
| ) |  |  |

XMPP::C2S::TCPTransport::~TCPTransport | ( |  | ) |

## Member Function Documentation

virtual PBoolean XMPP::C2S::TCPTransport::Close | ( |  | ) | `[virtual]`

Close the channel.

This will detach itself from the read and write channels and delete both of them if they are auto delete.

Returns:
  true if the channel is closed.

Implements XMPP::Transport.

const PString& XMPP::C2S::TCPTransport::GetServerHost | ( |  | ) | const`[inline]`

WORD XMPP::C2S::TCPTransport::GetServerPort | ( |  | ) | const`[inline]`

virtual PBoolean XMPP::C2S::TCPTransport::Open | ( |  | ) | `[virtual]`

Implements XMPP::Transport.

## Member Data Documentation

PString XMPP::C2S::TCPTransport::m_Hostname `[protected]`

WORD XMPP::C2S::TCPTransport::m_Port `[protected]`

PTCPSocket* XMPP::C2S::TCPTransport::m_Socket `[protected]`

The documentation for this class was generated from the following file:

- xmpp_c2s.h